# Selectricity: Voting Machinery for the Masses
# Copyright (C) 2007, 2008 Benjamin Mako Hill <mako@atdot.cc>
# Copyright (C) 2007 Massachusetts Institute of Technology
#
# This program is free software. Please see the COPYING file for
# details.

class VoterNotify < ActionMailer::Base

  def votestart(voter)
    @subject = "[%s] Election Begun!" % voter.election.name
    @recipients = voter.email
    @from = MAIL_CONFIG[:from]
    @sent_on = Time.now
    @body = { :voter => voter }
  end

  def reminder(voter_array)
    @subject = "Selectricity Election Reminder!"
    @recipients = voter_array[0].email
    @from = MAIL_CONFIG[:from]
    @sent_on = Time.now
    @body = { :voter_array => voter_array }
  end

end
